import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {AppService} from "../../../service/appHttpService";


@IonicPage()
@Component({
    selector: 'page-change-apply-sure',
    templateUrl: 'change-apply-sure.html',
})
export class ChangeApplySurePage {

    applyType;    //申请类型
    changeId;  // 换班Id
    personId;  //替班人id
    nowId;     //申请id
    constructor(public navCtrl: NavController, public navParams: NavParams,
                public appService: AppService) {
    }

    ionViewDidLoad() {

        this.personId = this.navParams.get('personId');
        this.nowId = this.navParams.get('nowId');
        this.changeId = this.navParams.get('changeId');
        console.log('personId:' + this.personId);
        console.log('nowId:' + this.nowId);
        console.log('changeId:' + this.changeId);
        if (this.personId) {
            this.applyType = 'replace';  //值班
        } else {
            this.applyType = 'change';   //替班
        }

    }

    //替班
    replace() {
        const data = {
            id: this.nowId,  //值班记录id
            personId: this.personId   //替班人id
        };
        console.log(data);
        this.appService.ObserverHttpGetOption('/wisdomgroup/schedule/replace', data)
            .subscribe((res) => {
                console.log(res.json());
            })
    }

    //换班
    change() {
        const data = {
            nowId: this.nowId,  //值班记录id
            changeId: this.changeId //互换的值班ID
        };
        console.log(data);
        this.appService.ObserverHttpGetOption('/wisdomgroup/schedule/change',data)
            .subscribe((res) => {
                console.log(res.json());
            })
    }

}
